Рекомендация Debian по безопасности

DSA-1761-1 moodle -- отсутствие очистки ввода

Дата сообщения:
03.04.2009
Затронутые пакеты:
moodle
Уязвим:
Да
Ссылки на базы данных по безопасности:
В системе отслеживания ошибок Debian: Ошибка 522116.
В каталоге Mitre CVE: CVE-2009-1171.
Более подробная информация:

Кристиан Эйбл обнаружил, что фильтр TeX из Moodle, системе управления образовательными курсами через веб, не выполняет проверку пользовательских вводных данных на предмет содержания в них команд TeX, что позволяет злоумышленнику включать в документ и отображать содержимое произвольных системных файлов.

Заметьте, что это не касается тех установок, которые используют только окружение mimetex.

В предыдущем стабильном выпуске (etch) эта проблема была исправлена в версии 1.6.3-2+etch3.

В стабильном выпуске (lenny) эта проблема была исправлена в версии 1.8.2.dfsg-3+lenny2.

В тестируемом выпуске (squeeze) эта проблема будет исправлена позже.

В нестабильном выпуске (sid) эта проблема была исправлена в версии 1.8.2.dfsg-5.

Рекомендуется обновить пакеты moodle.

Исправлено в:

Debian GNU/Linux 4.0 (etch)

Исходный код:
http://security.debian.org/pool/updates/main/m/moodle/moodle_1.6.3-2+etch3.dsc
http://security.debian.org/pool/updates/main/m/moodle/moodle_1.6.3-2+etch3.diff.gz
Независимые от архитектуры компоненты:
http://security.debian.org/pool/updates/main/m/moodle/moodle_1.6.3-2+etch3_all.deb

Debian GNU/Linux 5.0 (lenny)

Исходный код:
http://security.debian.org/pool/updates/main/m/moodle/moodle_1.8.2.dfsg-3+lenny2.diff.gz
http://security.debian.org/pool/updates/main/m/moodle/moodle_1.8.2.dfsg-3+lenny2.dsc
Независимые от архитектуры компоненты:
http://security.debian.org/pool/updates/main/m/moodle/moodle_1.8.2.dfsg-3+lenny2_all.deb

Контрольные суммы MD5 этих файлов доступны в исходном сообщении.